- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Properties | Friends

# QUndoStack Class Reference

Search for all occurrences

## Detailed Description

Definition at line 90 of file qundostack.h.

`#include <qundostack.h>`

Inheritance diagram for QUndoStack:
[legend]

List of all members.

## Public Slots
void | setClean ()
void | setIndex (int idx)
void | undo ()
void | redo ()
void | setActive (bool active=true)
## Signals
void | indexChanged (int idx)
void | cleanChanged (bool clean)
void | canUndoChanged (bool canUndo)
void | canRedoChanged (bool canRedo)
void | undoTextChanged (const QString &undoText)
void | redoTextChanged (const QString &redoText)
## Public Member Functions
| QUndoStack (QObject *parent=0)
| ~QUndoStack ()
void | clear ()
void | push (QUndoCommand *cmd)
bool | canUndo () const
bool | canRedo () const
QString | undoText () const
QString | redoText () const
int | count () const
int | index () const
QString | text (int idx) const
QAction * | createUndoAction (QObject *parent, const QString &prefix=QString()) const
QAction * | createRedoAction (QObject *parent, const QString &prefix=QString()) const
bool | isActive () const
bool | isClean () const
int | cleanIndex () const
void | beginMacro (const QString &text)
void | endMacro ()
void | setUndoLimit (int limit)
int | undoLimit () const
const QUndoCommand * | command (int index) const
## Properties
bool | active
int | undoLimit
## Friends
class | QUndoGroup

## Constructor & Destructor Documentation

QUndoStack | ( | QObject * | parent = `0` | ) | `[explicit]`

~QUndoStack | ( |  | ) |

## Member Function Documentation

void clear | ( |  | ) |

Search for all occurrences

void push | ( | QUndoCommand * | cmd | ) |

Search for all occurrences

bool canUndo | ( |  | ) | const

Search for all occurrences

bool canRedo | ( |  | ) | const

Search for all occurrences

QString undoText | ( |  | ) | const

Search for all occurrences

QString redoText | ( |  | ) | const

Search for all occurrences

int count | ( |  | ) | const

Search for all occurrences

int index | ( |  | ) | const

Search for all occurrences

QString text | ( | int | idx | ) | const

Search for all occurrences

QAction* createUndoAction | ( | QObject * | parent,
|  | const QString & | prefix = `QString()`
| ) |  | const

Search for all occurrences

QAction* createRedoAction | ( | QObject * | parent,
|  | const QString & | prefix = `QString()`
| ) |  | const

Search for all occurrences

bool isActive | ( |  | ) | const

Search for all occurrences

bool isClean | ( |  | ) | const

Search for all occurrences

int cleanIndex | ( |  | ) | const

Search for all occurrences

void beginMacro | ( | const QString & | text | ) |

Search for all occurrences

void endMacro | ( |  | ) |

Search for all occurrences

void setUndoLimit | ( | int | limit | ) |

Search for all occurrences

int undoLimit | ( |  | ) | const

Search for all occurrences

const QUndoCommand* command | ( | int | index | ) | const

Search for all occurrences

void setClean | ( |  | ) | `[slot]`

Search for all occurrences

void setIndex | ( | int | idx | ) | `[slot]`

Search for all occurrences

void undo | ( |  | ) | `[slot]`

Search for all occurrences

void redo | ( |  | ) | `[slot]`

Search for all occurrences

void setActive | ( | bool | active = `true` | ) | `[slot]`

Search for all occurrences

void indexChanged | ( | int | idx | ) | `[signal]`

Search for all occurrences

void cleanChanged | ( | bool | clean | ) | `[signal]`

Search for all occurrences

void canUndoChanged | ( | bool | canUndo | ) | `[signal]`

Search for all occurrences

void canRedoChanged | ( | bool | canRedo | ) | `[signal]`

Search for all occurrences

void undoTextChanged | ( | const QString & | undoText | ) | `[signal]`

Search for all occurrences

void redoTextChanged | ( | const QString & | redoText | ) | `[signal]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QUndoGroup `[friend]`

Search for all occurrences

Definition at line 149 of file qundostack.h.

## Property Documentation

bool active `[read, write]`

Search for all occurrences

Definition at line 94 of file qundostack.h.

int undoLimit `[read, write]`

Search for all occurrences

Definition at line 95 of file qundostack.h.

The documentation for this class was generated from the following file:

- QtGui/qundostack.h

QUndoStack QUndoStack QUndoStack QUndoStack QUndoStack QUndoStack QUndoStack QUndoStack QUndoStack QUndoStack
QUndoStack QUndoStack QUndoStack QUndoStack QUndoStack QUndoStack QUndoStack QUndoStack QUndoStack QUndoStack